umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
icon_utils.cpp File Reference
`#include "icon_utils.h"`
`#include "basictypes.h"`
`#include "debug_utils.h"`
`#include "optionstate.h"`
`#include "uml.h"`
`#include <kiconloader.h>`
`#include <QIcon>`
`#include <QFile>`

## Namespaces
namespace | Icon_Utils

## Macros
#define | DBG_SRC QStringLiteral("Icon_Utils")
#define | ICON_PREFIX QStringLiteral(":/pics/")

## Functions
QPixmap | Icon_Utils::SmallIcon (IconType type)
QPixmap | Icon_Utils::BarIcon (IconType type)
QPixmap | Icon_Utils::MainBarIcon (IconType type)
QPixmap | Icon_Utils::UserIcon (IconType type)
QPixmap | Icon_Utils::DesktopIcon (IconType type)
QCursor | Icon_Utils::Cursor (IconType type)
QPixmap | Icon_Utils::iconSet (Uml::DiagramType::Enum dt)
QPixmap | Icon_Utils::smallIcon (Uml::DiagramType::Enum dt)
QString | Icon_Utils::toString (IconType type)

## Macro Definition Documentation

## ◆ DBG_SRC

#define DBG_SRC QStringLiteral("Icon_Utils")

## ◆ ICON_PREFIX

#define ICON_PREFIX QStringLiteral(":/pics/")